package com.engine.salary.enums.sicategory;

import com.engine.salary.enums.BaseEnum;


public enum SharedTypeEnum implements BaseEnum<String> {
    PUBLIC("0", "公共", 86568),
    PRIVATE("1", "私有", 86569);

    private String value;

    private String defaultLabel;

    private Integer labelId;

    SharedTypeEnum(String value, String defaultLabel, Integer labelId) {
        this.value = value;
        this.defaultLabel = defaultLabel;
        this.labelId = labelId;
    }


    @Override
    public String getValue() {
        return this.value;
    }

    @Override
    public Integer getLabelId() {
        return this.labelId;
    }

    @Override
    public String getDefaultLabel() {
        return this.defaultLabel;
    }
}
